import React from "react";
import {View, Text, StyleSheet} from "react-native";
import LineOfUserStat from "./LineOfUserStat";
import {User} from "../../models/User";

interface Props {
    user?: User;
}

export default function StatsOfUsers({user}: Props) {
    return (
        <View style={styles.container}>
            <LineOfUserStat title="Quizzes created" value={user?.stats ? user.stats.quizzesCreated.toString() : "?"} />
            <LineOfUserStat title="Quizzes played" value={user?.stats ? user.stats.quizzesPlayed.toString() : "?"} />
            <LineOfUserStat title="Correct answers" value={user?.stats ? user.stats.correctAnswers.toString() : "?"} />
            <LineOfUserStat title="Total responses" value={user?.stats ? user.stats.totalAnswers.toString() : "?"} isLast={true}/>
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        display: "flex",
        width: "80%",
        height: "45%",
        marginTop: "10%",
        justifyContent: "space-around",
        alignItems: "center",
        backgroundColor: "#f9f9f9",
        borderRadius: 15,
        shadowColor: "#000",
        shadowOffset: {
            width: 0,
            height: 4,
        },
        shadowOpacity: 0.3,
        shadowRadius: 5,
        elevation: 5,
        paddingVertical: 15,
    },
});