import React from "react";
import {TouchableOpacity, StyleSheet, Text} from "react-native";

interface Props{
    text: string
    handleButtonPressed:() => void;
}
/**
 * MenuButton : Bouton du menu principal
 * @param text - Texte du bouton
 * @param handleButtonPressed - Fonction qui sera exécutée lorsque le bouton sera pressé
 */
export default function MenuButton({text, handleButtonPressed}: Props) {
    return (
        <TouchableOpacity onPress={handleButtonPressed}>
            <Text style={styles.textStyle}>{text}</Text>
        </TouchableOpacity>
    );
}

const styles = StyleSheet.create({
    container: {
        display: 'flex',
        width: '100%',
        height: '100%',
    },
    textStyle: {
        color: '#2ec7ff',
        fontSize: 50,
        fontWeight: 'bold',
    }
});