import React from "react";
import { View, StyleSheet, ActivityIndicator } from "react-native";

export default function LoadingIndicator() {
    return (
        <View style={styles.container}>
            <ActivityIndicator size="large" color="#2b73fe" />
        </View>
    );
}


const styles = StyleSheet.create({
    container: {
        display: "flex", // Change le type de flex pour que la vue soit centrée
        width: "100%", // Prend toute la largeur de l'écran
        height: "100%", // Prend toute la hauteur de l'écran
        ...StyleSheet.absoluteFillObject, // Prend toute la surface de l'écran
        justifyContent: "center", // Centre verticalement
        alignItems: "center", // Centre horizontalement
    },
});
