import {Question} from "./Question";
export interface QuizCommunityResponse {
    quizzes: Quiz[];
    total: number;
}
export interface Difficulty {
    id: number;
    name: string;
}

export interface Category {
    id: number;
    name: string;
}

interface Author {
    id: number;
    username: string;
}


export interface Quiz {
    id: string;
    name: string;
    description: string;
    score: number;
    questionIndex: number;
    questionCount: number;
    categoryId: number;
    difficultyId: number;
    author: Author,
    authorId: number,
    category?: Category,
    difficulty: Difficulty,
    questions: Question[],
}