import * as React from "react";
import { createBottomTabNavigator } from "@react-navigation/bottom-tabs";
import Home from "../screens/Home/Home";
import Icon from "react-native-vector-icons/MaterialIcons";
import Profil from "../screens/Profil/Profil";
import Community from "../screens/Community/Community";
import Multiplayer from "../screens/Multiplayer/Multiplayer";

const Tab = createBottomTabNavigator();

export default function TabNavigator() {
    return (
        <Tab.Navigator
            initialRouteName="Home"
            screenOptions={({ route }) => ({
                headerShown: false,
                tabBarActiveTintColor: "#383b41",
                tabBarInactiveTintColor: "#c1c7d0",
                tabBarShowLabel: false,
                tabBarStyle: {
                    height: 100, // Augmenter la hauteur de la barre pour plus d'espace
                    backgroundColor: "#f4f5f7",
                },
                tabBarLabelStyle: {
                    fontSize: 16, // Tu peux aussi ajuster la taille du texte ici
                },
                tabBarIcon: ({ color, size }) => {
                    // Définir des icônes pour chaque route
                    let iconName;
                    if (route.name === "Home") {
                        iconName = "home";
                    } else if (route.name === "MyQuizzes") {
                        iconName = "person"; // Icône pour Stats
                    } else if (route.name === "Profil") {
                        iconName = "person";
                        iconName = "person";
                    } else if (route.name === "Community") {
                        iconName = "people";
                    }
                    // else if (route.name === "Multiplayer") {
                    //     iconName = "diversity-2";
                    // }
                    return <Icon name={iconName ?? ''} size={64} color={color} />;
                },
            })}
        >
            <Tab.Screen
                name="Home"
                component={Home}
            />
            <Tab.Screen
                name="Community"
                component={Community}
            />
            {/* <Tab.Screen
                name="Multiplayer"
                component={Multiplayer}
            /> */}
            <Tab.Screen
                name="Profil"
                component={Profil}
            />
        </Tab.Navigator>
    );
}
