import { View, StyleSheet, Text } from "react-native";
import TemplateMono from "../../templates/TemplateMono";
import HomeChild from "./HomeChild";
import TemplateMenu from "../../templates/TemplateMenu";
import {NavigationProp} from "@react-navigation/native";
import {Quiz} from "../../models/Quiz";

interface Props {
    navigation: NavigationProp<any>;
}

export default function Home({navigation}: Props) {

    return (
        <View style={styles.containerGlobal}>
                <TemplateMenu navigation={navigation} headerNavigation={false} buttonGoBack={false}>
                    <View>
                        <HomeChild navigation={navigation}/>
                    </View>
                </TemplateMenu>
        </View>
    );
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
        flexDirection: 'column',
    },
});