import {Text, View, StyleSheet, TouchableWithoutFeedback, Keyboard} from "react-native";
import {NavigationProp} from "@react-navigation/native";
import SelectMode from "../../../components/PlayQuiz/SelectMode";
import React, {useState} from "react";
import {SelectModeType} from "../../../models/SelectModeType";
import PlayQuizGenerateQuiz from "./PlayQuizGenerateQuiz";
import PlayQuizJoinQuiz from "./PlayQuizJoinQuiz";

interface Props {
    navigation: NavigationProp<any>
}

export default function PlayQuizChild({navigation}: Props){
 const [mode, setMode] = useState<SelectModeType>("play");

    return (
        <TouchableWithoutFeedback onPress={Keyboard.dismiss}>
            <View style={styles.containerGlobal}>
                <View style={styles.contentContainer}>
                    <SelectMode mode={mode} setMode={setMode}/>
                    {mode === "play" ? (
                        <PlayQuizGenerateQuiz navigation={navigation}/>
                    ) : (
                        <PlayQuizJoinQuiz navigation={navigation}/>
                    )}
                </View>
            </View>
        </TouchableWithoutFeedback>
    )
}
const styles = StyleSheet.create({
    containerGlobal: {
        width: '100%',
        height: '100%',
        alignItems: 'center',
        justifyContent: 'center',
    },
    contentContainer: {
        display: 'flex',
        width: '95%',
        height: '100%',
        flexDirection: 'column',
    },
});