import {ImageBackground, Text, View, StyleSheet, SafeAreaView} from "react-native";

interface Props{
    childrenHeader?: React.ReactNode
    childrenBody?: React.ReactNode
}

export default function TemplateDuo({childrenHeader, childrenBody}: Props) {
    return (
        <View style={styles.container}>
            <ImageBackground source={require('../assets/BackgroundQuestion.png')} style={styles.image}>
                    <SafeAreaView>
                    <View style={styles.containerHeader}>
                        {childrenHeader}
                    </View>
                    <View style={styles.containerBody}>
                        {childrenBody}
                    </View>
                </SafeAreaView>
            </ImageBackground>
        </View>
    );
}


const styles = StyleSheet.create({
    container: {
        display: 'flex',
        width: '100%',
        height: '100%',
    },
    containerHeader: {
        width: '100%',
        height: '30%',
    },
    containerBody: {
        width: '100%',
        height: '70%',
        backgroundColor: '#FFFFFF',
        borderTopLeftRadius: 46,
        borderTopRightRadius: 46
    },
    image: {
        height: '100%',
        width: '100%',
    }
});