import { View, Image, StyleSheet } from "react-native";

interface Props{
    children?: React.ReactNode
}

export default function TemplateMono({children} : Props) {
    return(
        <View style={styles.containerGlobal}>
            <View style={styles.containerHeader}>
                <Image source={require('../assets/Name.png')} style={styles.image}/>
            </View>
            <View style={styles.containerBody}>
                {children}
            </View>
        </View>
    );
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
    },
    containerHeader: {
        height: '12%',
        width: '100%',
        justifyContent: 'flex-end',
        alignItems: 'center',
        backgroundColor: '#fff',
        shadowColor: '#171717',
        shadowOffset: { width: 0, height: 4 },
        shadowOpacity: 0.2,
        shadowRadius: 3,
        elevation: 5,
        zIndex: 1,
    },
    containerBody: {
        height: '88%',
        width: '100%',
        backgroundColor: '#FFFFFF'
    },
    image: {
        height: '60%',
        width: '60%',
    }
});