import i18n from "i18next";
import { initReactI18next } from "react-i18next";

// Importer les fichiers de langue
import en from "./languages/en.json";
import fr from "./languages/fr.json";

i18n
  .use(initReactI18next) // Intégrer avec React
  .init({
    resources: {
      en: { translation: en },
      fr: { translation: fr },
    },
    compatibilityJSON: "v3",
    lng: "en", // Détecter la langue de l'appareil
    fallbackLng: "en", // Si la langue n'est pas disponible, utiliser l'anglais
    interpolation: {
      escapeValue: false, // React gère déjà l'échappement
    },
  });

export default i18n;
